--  $Id: replenishments.ads,v 1.3 2008/11/20 22:18:50 baker Exp baker $

with Virtual_Times; use Virtual_Times;
with Generic_Queues;
package Replenishments is

   type R_Info is record
      R_Time : Time;
      R_Amount : Time;
   end record;

   function ">" (Left, Right: R_Info) return Boolean;

   package Queues is new Generic_Queues (R_Info);

   procedure Check_R_Sum
      (Q : in out Queues.Object;
       Budget : in Time;
       Msg: String);

   procedure Show_R_Queue
      (Q : in Queues.Object;
       Msg: String;
       Threshold : Integer);

end Replenishments;
