--  $Id: threads-sched_dss.ads,v 1.2 2008/11/20 18:49:43 baker Exp baker $

-- EDF scheduler policy plug-in

package Threads.Sched_EDF is

   type Object is new
     Threads.Scheduling_Policies.Object with private;

   procedure Init
     (P : in out Object);
   procedure New_Job
     (P : in out Object;
      J : in Jobs.Job);
   procedure Suspend
     (P : in out Object);
   procedure Unsuspend
     (P : Object);
   procedure New_Current_Thread
     (P : Object);
   procedure Go
     (P : in out Object);
   procedure Stop
     (P : in out Object);

private

   type Object is new
     Threads.Scheduling_Policies.Object with record
     Current_Job : Jobs.Job;
   end record;

end Threads.Sched_EDF;
