--  $Id: stats.adb,v 1.2 2008/11/20 18:49:43 baker Exp baker $

package body Stats is

   procedure End_Of_Job_Update
     (D : in out Data;
      RT : Time; -- response time
      Deadline : Time;
      Now : Time) is
   begin
      if RT > D.Max_Response_Time then
         D.Max_Response_Time := RT;
      end if;
      D.Total_Response_Time :=
        D.Total_Response_Time + RT;
      D.Job_Count := D.Job_Count + 1;
      if Now > Deadline then
         D.Missed_Deadlines :=
           D.Missed_Deadlines + 1;
      end if;
   end End_Of_Job_Update;

end Stats;
